Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create cycle shift all

POST/workspaces/{organizationId}/cycles/{id}/shift-all
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
targetCycleIdstring
Responses
200

Shifted all issues to target cycle

movednumberrequired
fromCycleIdstringrequired
targetCycleIdstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/cycles/string/shift-all' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "targetCycleId": "string"
}'
Response
{
  "moved": 0,
  "fromCycleId": "string",
  "targetCycleId": "string"
}

Was this page helpful?